Bug 253769 - yum says package deskbar-applet requires gnome-python2-libwnck and it is unavailable
yum says package deskbar-applet requires gnome-python2-libwnck and it is unav...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 15:55 EDT by Basil Mohamed Gohar
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 15:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Basil Mohamed Gohar 2007-08-21 15:55:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
When running sudo yum upgrade, after successfully running all downloads, when the transaction runs, yum issues the error, "Package deskbar-applet needs gnome-python2-libwnck, this is not available."

After installing gnome-python2-libwnck separately, yum upgrade worked perfectly.  It seems like the dependencies are not complete.

This happened once before on another system.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional info:
A complete terminal transaction can be found here:

[basil.gohar@escapdv01 ~]$ sudo yum upgrade
Password:
Loading "presto" plugin
Loading "allowdowngrade" plugin
Setting up Upgrade Process
Setting up Presto
livna                     100% |=========================| 2.1 kB    00:00     
fedora                    100% |=========================| 2.1 kB    00:00     
updates-debuginfo         100% |=========================| 1.9 kB    00:00     
fedora-debuginfo          100% |=========================| 1.9 kB    00:00     
updates                   100% |=========================| 1.9 kB    00:00     
Reading Presto metadata in from local files
primary.sqlite.bz2        100% |=========================| 1.6 MB    00:04     
Resolving Dependencies
--> Running transaction check
---> Package alsa-lib.i386 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package spamassassin.x86_64 0:3.2.3-1.fc7 set to be updated
---> Package smartmontools.x86_64 1:5.37-3.1.fc7 set to be updated
---> Package kdebase.x86_64 6:3.5.7-13.fc7 set to be updated
---> Package alsa-lib-devel.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated
---> Package deskbar-applet.x86_64 0:2.19.3-5.fc7 set to be updated
---> Package procps.x86_64 0:3.2.7-15.fc7 set to be updated
---> Package alsa-lib.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.fc7 set to be updated
--> Processing Dependency: kde-filesystem for package: kdelibs
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package kde-filesystem.noarch 0:3.5-11.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 alsa-lib                i386       1.0.14-3.fc7     updates           409 k
 alsa-lib                x86_64     1.0.14-3.fc7     updates           410 k
 alsa-lib-devel          x86_64     1.0.14-3.fc7     updates           1.4 M
 deskbar-applet          x86_64     2.19.3-5.fc7     updates           610 k
 kdebase                 x86_64     6:3.5.7-13.fc7   updates            29 M
 kdebase                 i386       6:3.5.7-13.fc7   updates            28 M
 kdelibs                 i386       6:3.5.7-20.fc7   updates            17 M
 kdelibs                 x86_64     6:3.5.7-20.fc7   updates            17 M
 procps                  x86_64     3.2.7-15.fc7     updates           212 k
 smartmontools           x86_64     1:5.37-3.1.fc7   updates           306 k
 spamassassin            x86_64     3.2.3-1.fc7      updates           1.0 M
Installing for dependencies:
 kde-filesystem          noarch     3.5-11.fc7       updates            15 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update      11 Package(s)         
Remove       0 Package(s)         

Total download size: 96 M
Is this ok [y/N]: y
Downloading Packages:
(1/11): kdebase-3.5.7-13. 100% |=========================|  28 MB    02:36     
(2/11): alsa-lib-1.0.14-3 100% |=========================| 410 kB    00:01     
(3/11): procps-3.2.7-15.f 100% |=========================| 212 kB    00:01     
(4/11): kdelibs-3.5.7-20. 100% |=========================|  17 MB    01:07     
(5/11): alsa-lib-devel-1. 100% |=========================| 1.4 MB    00:05     
(6/11): kdebase-3.5.7-13. 100% |=========================|  29 MB    02:04     
(7/11): smartmontools-5.3 100% |=========================| 306 kB    00:01     
(8/11): spamassassin-3.2. 100% |=========================| 1.0 MB    00:03     
(9/11): kdelibs-3.5.7-20. 100% |=========================|  17 MB    01:01     
(10/11): kde-filesystem-3 100% |=========================|  15 kB    00:00     
(11/11): alsa-lib-1.0.14- 100% |=========================| 409 kB    00:01     
Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
---> Package alsa-lib.i386 0:1.0.14-3.fc7 set to be updated
---> Package kde-filesystem.noarch 0:3.5-11.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package spamassassin.x86_64 0:3.2.3-1.fc7 set to be updated
---> Package smartmontools.x86_64 1:5.37-3.1.fc7 set to be updated
---> Package kdebase.x86_64 6:3.5.7-13.fc7 set to be updated
---> Package alsa-lib-devel.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated
---> Package deskbar-applet.x86_64 0:2.19.3-5.fc7 set to be updated
---> Package procps.x86_64 0:3.2.7-15.fc7 set to be updated
---> Package alsa-lib.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.fc7 set to be updated
ERROR with rpm_check_debug vs depsolve:
Package deskbar-applet needs gnome-python2-libwnck, this is not available.
Complete!
[basil.gohar@escapdv01 ~]$ sudo yum list gnome-python2*
Password:
Loading "presto" plugin
Loading "allowdowngrade" plugin
Setting up Presto
Reading Presto metadata in from local files
Installed Packages
gnome-python2.x86_64                     2.18.1-1.fc7           installed       
gnome-python2-applet.x86_64              2.18.0-1.fc7           installed       
gnome-python2-bonobo.x86_64              2.18.1-1.fc7           installed       
gnome-python2-canvas.x86_64              2.18.1-1.fc7           installed       
gnome-python2-desktop.x86_64             2.18.0-1.fc7           installed       
gnome-python2-extras.x86_64              2.14.3-4.fc7           installed       
gnome-python2-extras.x86_64              2.14.3-3.fc7           installed       
gnome-python2-gconf.x86_64               2.18.1-1.fc7           installed       
gnome-python2-gnomekeyring.x86_64        2.18.0-1.fc7           installed       
gnome-python2-gnomeprint.x86_64          2.18.0-1.fc7           installed       
gnome-python2-gnomevfs.x86_64            2.18.1-1.fc7           installed       
gnome-python2-gtkhtml2.x86_64            2.14.3-4.fc7           installed       
gnome-python2-gtksourceview.x86_64       2.18.0-1.fc7           installed       
gnome-python2-gtkspell.x86_64            2.14.3-4.fc7           installed       
gnome-python2-gtkspell.x86_64            2.14.3-3.fc7           installed       
gnome-python2-libegg.x86_64              2.14.3-4.fc7           installed       
gnome-python2-libegg.x86_64              2.14.3-3.fc7           installed       
gnome-python2-nautilus-cd-burner.x86_64  2.18.0-1.fc7           installed       
gnome-python2-totem.x86_64               2.18.0-1.fc7           installed       
Available Packages
gnome-python2-bugbuddy.x86_64            2.18.0-1.fc7           fedora          
gnome-python2-debuginfo.x86_64           2.18.1-1.fc7           fedora-debuginfo
gnome-python2-desktop-debuginfo.x86_64   2.18.0-1.fc7           fedora-debuginfo
gnome-python2-devel.i386                 2.18.1-1.fc7           fedora          
gnome-python2-devel.x86_64               2.18.1-1.fc7           fedora          
gnome-python2-extras-debuginfo.x86_64    2.14.3-4.fc7           updates-debuginf
gnome-python2-gda.x86_64                 2.14.3-1.fc7           fedora          
gnome-python2-gda-debuginfo.x86_64       2.14.3-1.fc7           fedora-debuginfo
gnome-python2-gda-devel.i386             2.14.3-1.fc7           fedora          
gnome-python2-gda-devel.x86_64           2.14.3-1.fc7           fedora          
gnome-python2-gnomedesktop.x86_64        2.18.0-1.fc7           fedora          
gnome-python2-gtkmozembed.x86_64         2.14.3-4.fc7           updates         
gnome-python2-libgtop2.x86_64            2.18.0-1.fc7           fedora          
gnome-python2-libwnck.x86_64             2.18.0-1.fc7           fedora          
gnome-python2-metacity.x86_64            2.18.0-1.fc7           fedora          
gnome-python2-rsvg.x86_64                2.18.0-1.fc7           fedora          
[basil.gohar@escapdv01 ~]$ sudo yum install gnome-python2-libwnck
Loading "presto" plugin
Loading "allowdowngrade" plugin
Setting up Install Process
Parsing package install arguments
Setting up Presto
Reading Presto metadata in from local files
Resolving Dependencies
--> Running transaction check
---> Package gnome-python2-libwnck.x86_64 0:2.18.0-1.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 gnome-python2-libwnck   x86_64     2.18.0-1.fc7     fedora             20 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 20 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): gnome-python2-libw 100% |=========================|  20 kB    00:00     
Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
---> Package gnome-python2-libwnck.x86_64 0:2.18.0-1.fc7 set to be updated
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: gnome-python2-libwnck        ######################### [1/1] 

Installed: gnome-python2-libwnck.x86_64 0:2.18.0-1.fc7
Complete!
[basil.gohar@escapdv01 ~]$ sudo yum upgrade
Loading "presto" plugin
Loading "allowdowngrade" plugin
Setting up Upgrade Process
Setting up Presto
Reading Presto metadata in from local files
Resolving Dependencies
--> Running transaction check
---> Package alsa-lib.i386 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package spamassassin.x86_64 0:3.2.3-1.fc7 set to be updated
---> Package smartmontools.x86_64 1:5.37-3.1.fc7 set to be updated
---> Package kdebase.x86_64 6:3.5.7-13.fc7 set to be updated
---> Package alsa-lib-devel.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated
---> Package deskbar-applet.x86_64 0:2.19.3-5.fc7 set to be updated
---> Package procps.x86_64 0:3.2.7-15.fc7 set to be updated
---> Package alsa-lib.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.fc7 set to be updated
--> Processing Dependency: kde-filesystem for package: kdelibs
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package kde-filesystem.noarch 0:3.5-11.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 alsa-lib                i386       1.0.14-3.fc7     updates           409 k
 alsa-lib                x86_64     1.0.14-3.fc7     updates           410 k
 alsa-lib-devel          x86_64     1.0.14-3.fc7     updates           1.4 M
 deskbar-applet          x86_64     2.19.3-5.fc7     updates           610 k
 kdebase                 x86_64     6:3.5.7-13.fc7   updates            29 M
 kdebase                 i386       6:3.5.7-13.fc7   updates            28 M
 kdelibs                 i386       6:3.5.7-20.fc7   updates            17 M
 kdelibs                 x86_64     6:3.5.7-20.fc7   updates            17 M
 procps                  x86_64     3.2.7-15.fc7     updates           212 k
 smartmontools           x86_64     1:5.37-3.1.fc7   updates           306 k
 spamassassin            x86_64     3.2.3-1.fc7      updates           1.0 M
Installing for dependencies:
 kde-filesystem          noarch     3.5-11.fc7       updates            15 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update      11 Package(s)         
Remove       0 Package(s)         

Total download size: 96 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
---> Package alsa-lib.i386 0:1.0.14-3.fc7 set to be updated
---> Package kde-filesystem.noarch 0:3.5-11.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-20.fc7 set to be updated
---> Package spamassassin.x86_64 0:3.2.3-1.fc7 set to be updated
---> Package smartmontools.x86_64 1:5.37-3.1.fc7 set to be updated
---> Package kdebase.x86_64 6:3.5.7-13.fc7 set to be updated
---> Package alsa-lib-devel.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdelibs.x86_64 6:3.5.7-20.fc7 set to be updated
---> Package deskbar-applet.x86_64 0:2.19.3-5.fc7 set to be updated
---> Package procps.x86_64 0:3.2.7-15.fc7 set to be updated
---> Package alsa-lib.x86_64 0:1.0.14-3.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.fc7 set to be updated
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : alsa-lib                     ####################### [ 1/23] 
  Updating  : alsa-lib                     ####################### [ 2/23] 
  Installing: kde-filesystem               ####################### [ 3/23] 
  Updating  : kdelibs                      ####################### [ 4/23] 
  Updating  : kdelibs                                              [ 5/23]warning: /etc/profile.d/kde.csh created as /etc/profile.d/kde.csh.rpmnew
warning: /etc/profile.d/kde.sh created as /etc/profile.d/kde.sh.rpmnew
  Updating  : kdelibs                      ##################      [ 5/23]warning: /usr/share/config/colors/40.colors created as /usr/share/config/colors/40.colors.rpmnew
warning: /usr/share/config/colors/Rainbow.colors created as /usr/share/config/colors/Rainbow.colors.rpmnew
warning: /usr/share/config/colors/Royal.colors created as /usr/share/config/colors/Royal.colors.rpmnew
warning: /usr/share/config/colors/Web.colors created as /usr/share/config/colors/Web.colors.rpmnew
warning: /usr/share/config/ipv6blacklist created as /usr/share/config/ipv6blacklist.rpmnew
warning: /usr/share/config/katefiletyperc created as /usr/share/config/katefiletyperc.rpmnew
warning: /usr/share/config/katesyntaxhighlightingrc created as /usr/share/config/katesyntaxhighlightingrc.rpmnew
warning: /usr/share/config/kdebug.areas created as /usr/share/config/kdebug.areas.rpmnew
warning: /usr/share/config/kdebugrc created as /usr/share/config/kdebugrc.rpmnew
warning: /usr/share/config/kdeprintrc created as /usr/share/config/kdeprintrc.rpmnew
warning: /usr/share/config/khotnewstuffrc created as /usr/share/config/khotnewstuffrc.rpmnew
warning: /usr/share/config/ksslcalist created as /usr/share/config/ksslcalist.rpmnew
warning: /usr/share/config/kthemestylerc created as /usr/share/config/kthemestylerc.rpmnew
warning: /usr/share/config/language.codes created as /usr/share/config/language.codes.rpmnew
warning: /usr/share/config/ui/kprintpreviewui.rc created as /usr/share/config/ui/kprintpreviewui.rc.rpmnew
warning: /usr/share/config/ui/ui_standards.rc created as /usr/share/config/ui/ui_standards.rc.rpmnew
  Updating  : kdelibs                      ####################### [ 5/23] 
  Updating  : kdebase                      ####################### [ 6/23] 
  Updating  : kdebase                                              [ 7/23]warning: /etc/ksysguarddrc created as /etc/ksysguarddrc.rpmnew
warning: /etc/logrotate.d/kdm created as /etc/logrotate.d/kdm.rpmnew
warning: /etc/pam.d/kcheckpass created as /etc/pam.d/kcheckpass.rpmnew
warning: /etc/pam.d/kdm created as /etc/pam.d/kdm.rpmnew
warning: /etc/pam.d/kdm-np created as /etc/pam.d/kdm-np.rpmnew
warning: /etc/pam.d/kscreensaver created as /etc/pam.d/kscreensaver.rpmnew
warning: /etc/xdg/menus/applications-merged/kde-essential.menu created as /etc/xdg/menus/applications-merged/kde-essential.menu.rpmnew
warning: /etc/xdg/menus/kde-information.menu created as /etc/xdg/menus/kde-information.menu.rpmnew
warning: /etc/xdg/menus/kde-screensavers.menu created as /etc/xdg/menus/kde-screensavers.menu.rpmnew
warning: /etc/xdg/menus/kde-settings.menu created as /etc/xdg/menus/kde-settings.menu.rpmnew
  Updating  : kdebase                      ################        [ 7/23]warning: /usr/share/config/katerc created as /usr/share/config/katerc.rpmnew
warning: /usr/share/config/kdesktop_custom_menu1 created as /usr/share/config/kdesktop_custom_menu1.rpmnew
warning: /usr/share/config/kdesktop_custom_menu2 created as /usr/share/config/kdesktop_custom_menu2.rpmnew
warning: /usr/share/config/klipperrc created as /usr/share/config/klipperrc.rpmnew
warning: /usr/share/config/konqsidebartng.rc created as /usr/share/config/konqsidebartng.rc.rpmnew
warning: /usr/share/config/kshorturifilterrc created as /usr/share/config/kshorturifilterrc.rpmnew
warning: /usr/share/config/kxkb_groups created as /usr/share/config/kxkb_groups.rpmnew
  Updating  : kdebase                      ######################  [ 7/23]warning: /usr/share/xsessions/kde.desktop created as /usr/share/xsessions/kde.desktop.rpmnew
  Updating  : kdebase                      ####################### [ 7/23] 
  Updating  : procps                       ####################### [ 8/23] 
  Updating  : spamassassin                 ####################### [ 9/23] 
  Updating  : smartmontools                ####################### [10/23] 
  Updating  : alsa-lib-devel               ####################### [11/23] 
gconfd-2: no process killed
  Updating  : deskbar-applet               ####################### [12/23] 
gconfd-2: no process killed
  Cleanup   : alsa-lib                     ####################### [13/23]
  Cleanup   : kdelibs                      ####################### [14/23]
  Cleanup   : spamassassin                 ####################### [15/23]
  Cleanup   : smartmontools                ####################### [16/23]
  Cleanup   : kdebase                      ####################### [17/23]
  Cleanup   : alsa-lib-devel               ####################### [18/23]
  Cleanup   : kdelibs                      ####################### [19/23]
  Cleanup   : deskbar-applet               ####################### [20/23]
  Cleanup   : procps                       ####################### [21/23]
  Cleanup   : alsa-lib                     ####################### [22/23]
  Cleanup   : kdebase                      ####################### [23/23]

Dependency Installed: kde-filesystem.noarch 0:3.5-11.fc7
Updated: alsa-lib.i386 0:1.0.14-3.fc7 alsa-lib.x86_64 0:1.0.14-3.fc7 alsa-lib-devel.x86_64 0:1.0.14-3.fc7 deskbar-applet.x86_64 0:2.19.3-5.fc7 kdebase.x86_64 6:3.5.7-13.fc7 kdebase.i386 6:3.5.7-13.fc7 kdelibs.i386 6:3.5.7-20.fc7 kdelibs.x86_64 6:3.5.7-20.fc7 procps.x86_64 0:3.2.7-15.fc7 smartmontools.x86_64 1:5.37-3.1.fc7 spamassassin.x86_64 0:3.2.3-1.fc7
Complete!
Comment 1 Jeremy Katz 2007-09-13 15:08:43 EDT
This should be fixed with yum 3.2.4-2 which was just pushed to f7-updates

Note You need to log in before you can comment on or make changes to this bug.